routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Frontend\PageController@landing')->name('landing');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/account/profile', 'ProfileController@show')->name('profile.show');
Route::put('/account/profile', 'ProfileController@update')->name('profile.update');
Route::put('/account/profile/user', 'ProfileController@updateUser')->name('profile.update.user');

Route::post('/buy/cart', 'Frontend\PageController@addToCart')->name('cart.add');
Route::get('/buy/cart', 'Frontend\PageController@indexCart')->name('cart.index');
Route::post('/buy/checkout/{tenant_id}', 'Frontend\PageController@checkoutStore')->name('checkout.store');
Route::post('/buy/cart/remove', 'Frontend\PageController@removeItemCart')->name('cart.remove');
Route::post('/buy/cart/update', 'Frontend\PageController@updateCart')->name('cart.update');

Route::group(['prefix' => 'main'], function () {
    Route::group(['middleware' => ['auth', 'role:cashier']], function () {
        Route::get('user', 'Backend\UserController@index')->name('user.index');
        Route::post('user', 'Backend\UserController@store')->name('user.store');
        Route::get('user/create', 'Backend\UserController@create')->name('user.create');
        Route::get('user/{id}/edit', 'Backend\UserController@edit')->name('user.edit');
        Route::put('user/{id}/update', 'Backend\UserController@update')->name('user.update');
        Route::delete('user/{id}', 'Backend\UserController@destroy')->name('user.destroy');
    
        Route::resource('tenant', 'Backend\TenantController', ['only' => ['index', 'show', 'create', 'store', 'update', 'edit']]);
        Route::post('tenant.verification', 'Backend\TenantController@verification')->name('tenant.verification');
        Route::resource('sale', 'Backend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sale/{id}/pay', 'Backend\SaleController@pay')->name('sale.pay');
        Route::post('sale/{id}/pay', 'Backend\SaleController@payStore')->name('sale.pay.store');
    });

    Route::group(['middleware' => ['auth', 'role:tenant']], function () {
        Route::resource('product', 'Frontend\ProductController');
        Route::resource('sales', 'Frontend\SaleController', ['only' => ['index', 'show', 'update']]);
        Route::get('sales/{id}/process', 'Frontend\SaleController@process')->name('sales.process');
    });

});

app/Http/Controllers/Frontend/PageController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use App\Tenant;
use App\Food;
use App\Sale;
use App\SaleDetail;
use Session;

class PageController extends Controller
{
    public function landing(Request $request)
    {
        $tenants = Tenant::where('is_verification', 1)->where('status', 100)->get();
        
        $q = $request->q ?? '';
        $type = $request->type ?? '';
        $tenant = $request->tenant ?? '';

        $foods = Food::where('status', 100)->whereHas('tenant', function($query){
            $query->where('status', 100);
        });

        if ($request->has('q')) {
            if ($request->q != 'all') {
                $foods->where('name', 'like', '%' . $request->q . '%');
            }
        }

        if ($request->has('type')) {
            if ($request->type != 'all') {
                $foods->where('type', 'like', '%' . $request->type . '%');
            }
        }

        if ($request->has('tenant')) {
            if ($request->tenant != '') {
                $foods->whereHas('tenant', function($q) use($request){
                    $tenants = explode(',', $request->tenant);
                    foreach ($tenants as $key => $item) {
                        if ($key == 0) {
                            $q->where('slug', 'like', '%' . $item . '%');
                        } else {
                            $q->orWhere('slug', 'like', '%' . $item . '%');
                        }
                    }
                });
            }
        }

        $foods = $foods->paginate(9);

        return view('welcome')->with(compact('tenants', 'foods', 'q', 'type', 'tenant'));
    }

    public function addToCart(Request $request)
    {
        $id = $request->food_id;
        $food = Food::find($id);

        $cart = session()->get('cart');

        $tenant_id = $food->tenant_id;
        $tenant_name = $food->tenant->name;
        // if cart is empty then this the first product
        if (!$cart) {
            $cart = [
                $tenant_id => [
                    'tenant_name' => $tenant_name,
                    'data' => [
                        $id => [
                            "id" => $food->id,
                            "name" => $food->name,
                            "quantity" => $request->food_qty,
                            "image_url" => asset('uploads/images/products/' . $food->image),
                            "price" => $food->price
                        ]
                    ]
                ]
            ];

            session()->put('cart', $cart);

            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil ditambahkan ke list order"
            ]);

            return redirect()->back();
        }

        // if cart not empty then check if this product exist then increment quantity
        if (isset($cart[$tenant_id]['data'][$id])) {

            if ($request->food_qty == 1) {
                $cart[$tenant_id]['data'][$id]['quantity']++;
            } else {
                $cart[$tenant_id]['data'][$id]['quantity'] = $request->food_qty;
            }

            session()->put('cart', $cart);

            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil ditambahkan ke list order"
            ]);

            return redirect()->back();
        }

        // if item not exist in cart then add to cart with quantity = 1
        $cart[$tenant_id]['tenant_name'] = $tenant_name;
        $cart[$tenant_id]['data'][$id] = [
            "id" => $food->id,
            "name" => $food->name,
            "quantity" => $request->food_qty,
            "image_url" => asset('uploads/images/products/' . $food->image),
            "price" => $food->price
        ];

        session()->put('cart', $cart);

        Session::flash("swal_notification", [
            "level" => "success",
            "message" => "Item berhasil ditambahkan ke list order"
        ]);
        return redirect()->back();
    }

    public function updateCart(Request $request)
    {
        $status = 0;
        if ($request->tenant_id and $request->food_id and $request->quantity) {
            $cart = session()->get('cart');

            $cart[$request->tenant_id]['data'][$request->food_id]['quantity'] = $request->quantity;

            session()->put('cart', $cart);

            $status = 1;
        }
        if ($status == 1) {
            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil diupdate"
            ]);
        } else {
            Session::flash("swal_notification", [
                "level" => "error",
                "message" => "Gagal terjadi kesalahan!"
            ]);
        }

        return redirect()->back();
    }

    public function removeItemCart(Request $request)
    {
        $status = 0;
        if ($request->tenant_id and $request->food_id) {

            $cart = session()->get('cart');
            if (isset($cart[$request->tenant_id]['data'][$request->food_id])) {

                unset($cart[$request->tenant_id]['data'][$request->food_id]);

                if (empty($cart[$request->tenant_id]['data'])) {
                    unset($cart[$request->tenant_id]);
                }

                session()->put('cart', $cart);

                $status = 1;
            }
        }
        if ($status == 1) {
            Session::flash("swal_notification", [
                "level" => "success",
                "message" => "Item berhasil dihapus"
            ]);
        } else {
            Session::flash("swal_notification", [
                "level" => "error",
                "message" => "Gagal terjadi kesalahan!"
            ]);
        }
        return redirect()->back();
    }

    public function indexCart()
    {
        $carts = session('cart') ?? [];
        //dd($carts);
        return view('frontend.pages.cart')->with(compact('carts'));
    }

    public function checkoutStore(Request $request, $tenant_id)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'phone' => 'required|numeric|digits_between:9,15',
        ]);

        //dd($request->all());

        $cart = session('cart')[$tenant_id] ?? [];
        if (empty($cart)) {
            abort(404);
        }

        $sale = new Sale();
        $sale->invoice = Sale::generateInvoice();
        $sale->tenant_id = $tenant_id;
        $sale->customer_name = $request->name;
        $sale->customer_phone = $request->phone;
        $sale->customer_note = $request->note ?? '-';
        $sale->food_total = 0;
        $sale->price_total = 0;
        $sale->save();

        $price_total = 0;
        $food_total = 0;
        $subtotal = 0;
        foreach ($cart['data'] as $key => $item) {
            $detail = new SaleDetail();
            $detail->sale_id = $sale->id;
            $detail->food_id = $item['id'];
            $detail->price = $item['price'];
            $detail->qty = $item['quantity'];
            $detail->subtotal = $item['price'] * $item['quantity'];
            $detail->save();

            $price_total = $item['quantity'] * $item['price'];
            $subtotal += $price_total;
            $food_total += $item['quantity'];
        }

        $sale->food_total = $food_total;
        $sale->price_total = $subtotal;
        $sale->save();

        // remove cart
        $carts = session('cart');
        unset($carts[$request->tenant_id]);
        session()->put('cart', $carts);

        Session::flash("swal_notification", [
            "level" => "success",
            "message" => "Checkout berhasil dengan nomor pesanan $sale->invoice, silahkan lakukan pembayaran di kasir ya :)"
        ]);

        return redirect()->route('landing');
        //return redirect()->route('confirm', $sale->invoice);
    }
}

app/Http/Controllers/Frontend/ProductController.php
<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\SaleDetail;
use App\Food;
use Session;

class ProductController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $tenant_id = \Auth::user()->tenant->id;

            $products = Food::where('tenant_id', $tenant_id);

            if ($request->input('status') != null) {
                if ($request->status != 'all') {
                    $products->whereStatus($request->status);
                }
            }

            $products = $products->select('food.*');

            return Datatables::of($products)
                ->addIndexColumn()
                ->addColumn('action', function ($product) {
                    return view('partials._action', [
                        'model'           => $product,
                        'form_url'        => route('product.destroy', $product->id),
                        'edit_url'        => route('product.edit', $product->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('frontend.products.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('frontend.products.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'type' => 'required|string',
            'description' => 'required|string',
            'price' => 'required|numeric',
            'image' => 'required|image',
        ]);

        $tenant_id = \Auth::user()->tenant->id;

        $product = new Food;
        $product->tenant_id = $tenant_id;
        $product->name = $request->name;
        $product->type = $request->type;
        $product->description = $request->description;
        $product->price = $request->price;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'products';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            $product->image = $filename;
        }
        $product->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Produk $product->name berhasil dibuat"
        ]);

        return redirect()->route('product.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $product = Food::find($id);

        return view('frontend.products.edit')->with(compact('product'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required|string|max:255',
            'type' => 'required|string',
            'description' => 'required|string',
            'price' => 'required|numeric',
        ]);

        $tenant_id = \Auth::user()->tenant->id;

        $product = Food::find($id);
        $product->tenant_id = $tenant_id;
        $product->name = $request->name;
        $product->type = $request->type;
        $product->description = $request->description;
        $product->price = $request->price;
        $product->status = $request->status;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'products';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            $product->image = $filename;
        }
        $product->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Produk $product->name berhasil diubah"
        ]);

        return redirect()->route('product.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $product = Food::find($id);

        $check_sale = SaleDetail::where('food_id', $id)->count();
        if ($check_sale > 0) {
            Session::flash("flash_notification", [
                "level" => "warning",
                "message" => "Tidak dapat menghapus produk ini, karena produk ini telah memiliki histori data transaksi."
            ]);
            return redirect()->back();
        }

        /* if ($product->image) {
            $filepath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'products'
                . DIRECTORY_SEPARATOR . $product->avatar;
            try {
                File::delete($filepath);
            } catch (FileNotFoundException $e) {
                // File sudah dihapus/tidak ada
            }
        } */

        $product->delete();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Berhasil menghapus data"
        ]);

        return redirect()->route('product.index');
    }
}

resources/views/frontend/products/create.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Produk')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Produk</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ route('product.index') }}">Produk</a></li>
        <li class="breadcrumb-item active">Tambah Produk</li>
      </ol>
    </div>
  </div>
@endsection

@section('content')
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Tambah Produk</h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
      <form method="POST" action="{{ route('product.store') }}" enctype="multipart/form-data">
        <div class="row">
          <div class="col-lg-8">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Informasi Produk</h6>
              </div>
              <div class="card-body">
                {{ csrf_field() }}

                <div class="row">
                  <div class="form-group col-6 {{ $errors->has('name') ? ' has-error' : '' }}">
                    <label for="name">Nama</label>
                    <input id="name" type="text" class="form-control @if ($errors->has('name')) is-invalid @endif" name="name" tabindex="1" value="{{ old('name') }}">
                    @if ($errors->has('name'))
                      <div class="invalid-feedback">
                        {{ $errors->first('name') }}
                      </div>
                    @endif
                  </div>
                  
                  <div class="form-group col-6 {{ $errors->has('type') ? ' has-error' : '' }}">
                    <label for="type">Jenis</label>
                    <select name="type" class="form-control select2">
                      <option value="makanan">Makanan</option>
                      <option value="minuman">Minuman</option>
                      <option value="ice">Ice Cream</option>
                    </select>
                    @if ($errors->has('type'))
                      <div class="invalid-feedback">
                        {{ $errors->first('type') }}
                      </div>
                    @endif
                  </div>
                </div>

                <div class="form-group {{ $errors->has('description') ? ' has-error' : '' }}">
                  <label for="description">Deskripsi</label>
                  <input id="description" type="text" class="form-control @if ($errors->has('description')) is-invalid @endif" name="description" tabindex="1" value="{{ old('description') }}">
                  @if ($errors->has('description'))
                    <div class="invalid-feedback">
                      {{ $errors->first('description') }}
                    </div>
                  @endif
                </div>

                <div class="form-group {{ $errors->has('price') ? ' has-error' : '' }}">
                  <label for="price">Harga</label>
                  <input id="price" type="number" class="form-control @if ($errors->has('price')) is-invalid @endif" name="price" tabindex="1" value="{{ old('price') }}">
                  @if ($errors->has('price'))
                    <div class="invalid-feedback">
                      {{ $errors->first('price') }}
                    </div>
                  @endif
                </div>

                <div class="form-group">
                  <button type="submit" class="btn btn-secondary btn-block" tabindex="4">
                    Simpan
                  </button>
                </div>
                
              </div>
            </div>
          </div>

          <div class="col-lg-4">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Foto Produk</h6>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <div class="text-center">
                    <img src="{{ asset('assets/img/placeholder-image.png') }}" class="rounded-circle" id="image-prev" width="200" height="200" alt="image">
                  </div>
                </div>
                <div class="form-group custom-file mb-3 {{ $errors->has('image') ? ' has-error' : '' }}">
                  <input id="image" type="file" class="custom-file-input {{ $errors->has('image') ? ' has-error' : '' }}" name="image">
                  <label class="custom-file-label" for="customFile">Pilih Gambar</label>
                  @if ($errors->has('image'))
                    <div class="invalid-feedback">
                      <strong>{{ $errors->first('image') }}</strong>
                    </div>
                  @endif
                </div>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
@endsection

@section('js')
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
    })

    function readURL(input) {
    if (input.files && input.files[0]) {
      var reader = new FileReader();
      reader.onload = function(e) {
        $('#image-prev').attr('src', e.target.result);
      }
      reader.readAsDataURL(input.files[0]); // convert to base64 string
      }
    }

    $("#image").change(function() {
      readURL(this);
    });
  </script>
@endsection

resources/views/frontend/products/edit.blade.php
@extends('adminlte::page')

@section('title', config('app.name') . ' -')
@section('title_postfix', 'Produk')

@section('content_header')
  <div class="row mb-2">
    <div class="col-sm-6">
      <h1>Produk</h1>
    </div>
    <div class="col-sm-6">
      <ol class="breadcrumb float-sm-right">
        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ route('product.index') }}">Produk</a></li>
        <li class="breadcrumb-item active">Edit Produk</li>
      </ol>
    </div>
  </div>
@endsection

@section('content')
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Edit Produk</h3>
      <div class="card-tools">
        <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
          <i class="fas fa-minus"></i></button>
        <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
          <i class="fas fa-times"></i></button>
      </div>
    </div>
    <div class="card-body">
      <form method="POST" action="{{ route('product.update', $product->id) }}" enctype="multipart/form-data">
        <div class="row">
          <div class="col-lg-8">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Informasi Produk</h6>
              </div>
              <div class="card-body">
                {{ csrf_field() }}
                {{ method_field('PUT') }}

                <div class="row">
                  <div class="form-group col-6 {{ $errors->has('name') ? ' has-error' : '' }}">
                    <label for="name">Nama</label>
                    <input id="name" type="text" class="form-control @if ($errors->has('name')) is-invalid @endif" name="name" tabindex="1" value="{{ $product->name }}">
                    @if ($errors->has('name'))
                      <div class="invalid-feedback">
                        {{ $errors->first('name') }}
                      </div>
                    @endif
                  </div>
                  
                  <div class="form-group col-6 {{ $errors->has('type') ? ' has-error' : '' }}">
                    <label for="type">Jenis</label>
                    <select name="type" class="form-control select2">
                      <option value="makanan" {{ $product->type == 'makanan' ? 'selected' : '' }}>Makanan</option>
                      <option value="minuman" {{ $product->type == 'minuman' ? 'selected' : '' }}>Minuman</option>
                      <option value="ice" {{ $product->type == 'ice' ? 'selected' : '' }}>Ice Cream</option>
                    </select>
                    @if ($errors->has('type'))
                      <div class="invalid-feedback">
                        {{ $errors->first('type') }}
                      </div>
                    @endif
                  </div>
                </div>

                <div class="form-group {{ $errors->has('description') ? ' has-error' : '' }}">
                  <label for="description">Deskripsi</label>
                  <input id="description" type="text" class="form-control @if ($errors->has('description')) is-invalid @endif" name="description" tabindex="1" value="{{ $product->description }}">
                  @if ($errors->has('description'))
                    <div class="invalid-feedback">
                      {{ $errors->first('description') }}
                    </div>
                  @endif
                </div>

                <div class="form-group {{ $errors->has('price') ? ' has-error' : '' }}">
                  <label for="price">Harga</label>
                  <input id="price" type="number" class="form-control @if ($errors->has('price')) is-invalid @endif" name="price" tabindex="1" value="{{ $product->price }}">
                  @if ($errors->has('price'))
                    <div class="invalid-feedback">
                      {{ $errors->first('price') }}
                    </div>
                  @endif
                </div>

                <div class="form-group {{ $errors->has('status') ? ' has-error' : '' }}">
                  <label for="status">Status</label>
                  <select name="status" class="form-control select2">
                    <option value="100" {{ $product->status == '100' ? 'selected' : '' }}>Aktif</option>
                    <option value="10" {{ $product->status == '10' ? 'selected' : '' }}>Non Aktif</option>
                  </select>
                  @if ($errors->has('status'))
                    <div class="invalid-feedback">
                      {{ $errors->first('status') }}
                    </div>
                  @endif
                </div>

                <div class="form-group">
                  <button type="submit" class="btn btn-secondary btn-block" tabindex="4">
                    Simpan
                  </button>
                </div>
                
              </div>
            </div>
          </div>

          <div class="col-lg-4">
            <div class="card">
              <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold">Foto Produk</h6>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <div class="text-center">
                    @if (is_null($product->image))
                      <img src="{{ asset('assets/img/placeholder-image.png') }}" class="rounded" id="image-prev" width="200" height="200" alt="image">
                    @else
                      <img src="{{asset('uploads/images/products/'.$product->image)}}" class="rounded" id="image-prev" width="200" height="200" alt="image">
                    @endif
                  </div>
                </div>
                <div class="form-group custom-file mb-3 {{ $errors->has('image') ? ' has-error' : '' }}">
                  <input id="image" type="file" class="custom-file-input {{ $errors->has('image') ? ' has-error' : '' }}" name="image">
                  <label class="custom-file-label" for="customFile">Pilih Gambar</label>
                  @if ($errors->has('image'))
                    <div class="invalid-feedback">
                      <strong>{{ $errors->first('image') }}</strong>
                    </div>
                  @endif
                </div>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
@endsection

@section('js')
  <script>
    $(document).ready(function () {
      bsCustomFileInput.init()
      $('.select2').select2();
    })

    function readURL(input) {
    if (input.files && input.files[0]) {
      var reader = new FileReader();
      reader.onload = function(e) {
        $('#image-prev').attr('src', e.target.result);
      }
      reader.readAsDataURL(input.files[0]); // convert to base64 string
      }
    }

    $("#image").change(function() {
      readURL(this);
    });
  </script>
@endsection